/** Shopify CDN: Minification failed

Line 420:0 Unexpected "}"

**/

#NavDrawer .drawer__fixed-header,#NavDrawer .drawer__footer,#NavDrawer .drawer__scrollable{
  padding-left:25px;
  padding-right:25px;
}
 #NavDrawer .drawer__header {
   padding-left:0;
  padding-right:0;
 }
.product-model-info {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 16px;
    column-gap: 10px;
}
.product-model-info p {
    margin: 0;
    font-size: 14px;
    color: #000000;
}
.product-model-info .sizechart-link {
    text-decoration: underline;
    font-size: 14px;
    color: #000; /* or match your theme */
    cursor: pointer;
    transition: color 0.2s ease;
  letter-spacing: 0;
  margin-left:auto;
}
.product-model-info .sizechart-link:hover {
    color: #555;
}
.product-block.variant-size {
    margin-bottom: 16px;
}
.product-sidebar {
  z-index: 9999;
}
.sidebar-content {
  padding: 16px;
  position: relative;
}

.close-sidebar {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  cursor: pointer;
}
.close-sidebar svg{
  height: 28px;
  width: 28px;
}
.sidebar-overlay {
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.5);
  display: none;
  z-index: 9998;
}
.sidebar-overlay.active {
  display: block;
}
body.drawer-open-size {
  overflow: hidden;
  position: fixed;
  width: 100%;
}
.drawer--right.drawer--is-open{
  display:unset !important;
}
.product-sidebar.drawer{
  display:unset !important;
}

/* ======= NEW CHANGES ======== */

.grid-product__tag {
  top: .5rem;
  inset-inline-start: .5rem;
}
.grid-product__tag:has(.grid-product__tag--custom) {
  display: flex;
  gap: .25rem;
  flex-wrap: wrap;
}
.grid-product__tag--sold-out,
.grid-product__tag--custom {
  font-size: 11px;
  line-height: 1.65;
  letter-spacing: 0;
  background: #ffffff;
  color: rgb(0 0 0 / 65%);
  padding: .0625rem .3125rem;
  text-transform: uppercase;  
}
.template-product .product-section .flickity-viewport {
  height: auto;
  overflow: visible !important;
}
.template-product .product-section .product-single__form .custom-review-text-wrapper {
  order: 2;
  margin-top: 15px;
}
.template-product .product-section .slide-counter,
.template-product .product-section .flickity-page-dots {
  display: none;
}
.footer__copyright .footer__powered_by {
  display: none;
}

/* ====== PRODUCT CARD SLIDER ====== */

/* .collection_slider {
  display: block;
  height: 100%;
  width: 100%;
} */
 .collection_slider {
    display: flex;
}
.carousel {
  width: 100%;
  margin: 0 auto;
}
.flickity-enabled {
  position: relative;
  overflow: visible !important;
}
.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
  width: 100%;
}
.collection_slider .carousel-cell:first-child,
.collection_slider.carousel.flickity-enabled .carousel-cell {
  display: block;
}
.collection_slider .carousel-cell {
  display: none;
}
.carousel-status {
  display: none;
}
/* .product-list-content product-item .carousel-cell .product-image {
  height: 100%;
  display: block;
  --aspect-ratio: 0.7;
  padding-bottom: 140%;
} */
.grid__item.grid-product .flickity-button.flickity-prev-next-button {
  background-repeat: no-repeat;
  background-size: contain;
  background-color: transparent;
  height: 14px;
  width: 14px;
  opacity: 0;
}
.grid__item.grid-product:hover .flickity-button.flickity-prev-next-button {
  opacity: 1;
}
.grid__item.grid-product .flickity-button.flickity-prev-next-button.previous,
.grid__item.grid-product .flickity-button.flickity-prev-next-button.flickity-previous {
  background-image: url('/cdn/shop/files/prev-arrow.svg?v=1763368707');
}
.grid__item.grid-product .flickity-button.flickity-prev-next-button.next,
.grid__item.grid-product .flickity-button.flickity-prev-next-button.flickity-next {
  background-image: url('/cdn/shop/files/next-arrow.svg?v=1763368706');
}
.grid__item.grid-product .flickity-prev-next-button .flickity-button-icon {
  display: none;
}

@media only screen and (min-width: 590px) {
  .template-product .product-section .product__photos .flickity-button.flickity-prev-next-button {
    display: none;
  }
}

@media only screen and (max-width: 589px) {
  div#CartDrawer {
    padding: 0 16px;
  }
  .close-sidebar svg{
    height: 23px;
    width: 23px;
  }
  .drawer__fixed-header .drawer__header {
    min-height: 70px;
  }
  .grid-product__tag {
    top: .25rem;
    inset-inline-start: .25rem;
  }
  .grid-product__tag--sold-out,
  .grid-product__tag--custom {
    font-size: .625rem;
  }
  .template-product .mob-product__photos--beside {
    display: flex;
    width: 100%;
  }
  .template-product .mob-product__photos--below {
    display: block;
    width: 100%;
  }
  .template-product .mob-product__photos--below .product__thumbs.product__thumbs--below {
    margin-top: 8px;
  }
  .template-product .mob-product__photos--below .product__thumbs[data-position-mob="below"] .product__thumbs--scroller {
    flex-direction: row;
  }
  .template-product .mob-product__photos--below .product__thumbs[data-position-mob="below"] .product__thumb-item {
    /* width: auto !important; */
    width: 100% !important;
    margin-left: 8px;
    margin-right: 0;
    max-width: 46px !important;
  }
  .template-product .mob-product__photos--below .product__thumbs[data-position-mob="below"] .product__thumb-item:first-child {
    margin-left: 19px;
  }
  .template-product .mob-product__photos--below .product__thumbs[data-position-mob="below"] .product__thumbs--scroller .image-wrap {
    /* padding-bottom: 125% !important; */
    padding-bottom: 0 !important;
    height: 100% !important;
    overflow: visible;
  }
  .template-product .mob-product__photos--below a.product__thumb {
    height: auto;
    /* height: 100%; */
  }
  .template-product .product__thumb > .image-wrap img {
    height: 58px;
  }
  .template-product .product-section .product__photos .flickity-button:disabled {
    opacity: 1;
    cursor: pointer;
    pointer-events: auto;
    display: block;
  }
  .template-product .product-section .product__photos .flickity-button:focus {
    box-shadow: none;
  }
  .template-product .product-section .product__photos .flickity-prev-next-button {
    background-color: #E0DEDE;
    width: 28px;
    height: 28px;
  }
  .template-product .product-section .product__photos .flickity-prev-next-button .flickity-button-icon {
    display: none;
  }
  .template-product .product-section .product__photos .flickity-prev-next-button::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background-size: 9px 16px;
    background-repeat: no-repeat;
    background-position: center;
  }
  .template-product .product-section .product__photos .flickity-prev-next-button.flickity-previous::before {
    background-image: url('/cdn/shop/files/left-arrow.svg?v=1761882162'); 
  }
  .template-product .product-section .product__photos .flickity-prev-next-button.flickity-next::before {
    background-image: url('/cdn/shop/files/right-arrow.svg?v=1761882162'); 
  }
  .template-product .product-section .slide-counter {
    display: block;
    position: absolute;
    bottom: 10px;
    left: 19px;
    background: transparent;
    color: #000000;
    font-size: 11px;
    line-height: 13px;
    padding: 6px 0px;
    /* border-radius: 4px; */
  }
  .template-product .product-section .flickity-page-dots {
    display: flex;
    width: 100%;
    height: 3px;
    background: #E0DEDE;
    cursor: pointer;
    bottom: 0;
  }
  .template-product .product-section .flickity-page-dots .dot {
    border-radius: 0;
    margin: 0;
    width: 100%;
    height: auto;
  }
  .template-product .product-section .flickity-page-dots .dot.is-selected {
    background: #8c8c8c;
  }
}

/* drawer css */
.cart-product-recommand-row .cart-product-recommand-items button.flickity-button.flickity-prev-next-button.previous {
  right: 30px !important;
}
.cart-product-recommand-row .cart-product-recommand-items .flickity-prev-next-button.next {
  right: 0px !important;
}
.flickity-prev-next-button .flickity-button-icon {
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
}
.product-recommend-price-info p {
  margin: 0 !important;
}
.button.button--sm.button--subdued {
  align-content: center !important;
}
.button.button--sm.button--subdued>div {
  line-height: 1;
  text-align: center;
}
.stars svg {
  height: 13px !important;
}

/* pdp countdown */
.pdp_countdown.countdown_wrapper {
    display: flex;
    align-items: center;
    justify-content: center !important;
    gap: 20px !important;
    padding: 10px 0px;
    order: 4;
}
.pdp_countdown .countdown_text>a {
  text-decoration: underline;
}
.pdp_countdown .countdown_text,
.pdp_countdown .countdown_text>* {
  font-size: 11px;
  line-height: 13px;
  margin: 0;
}
.pdp_countdown .countdown_timer_wrapper {
  display: flex;
  align-items: center;
  font-weight: bold;
}
.pdp_countdown .countdown_timer_wrapper>* {
  font-size: 14px;
  line-height: 16px;
}


/* pdp countdown */
.cart_countdown.countdown_wrapper {
    display: flex;
    align-items: center;
    justify-content: center !important;
    gap: 20px !important;
    order: 4;
    margin: auto;
    padding-right: 15px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-top: 14px;
}
.cart_countdown .countdown_text>a {
  text-decoration: underline;
}
.cart_countdown .countdown_text,
.cart_countdown .countdown_text>* {
  font-size: 11px;
  line-height: 13px;
  margin: 0;
}
.cart_countdown .countdown_timer_wrapper {
  display: flex;
  align-items: center;
  font-weight: bold;
}
.cart_countdown .countdown_timer_wrapper>* {
  font-size: 14px;
  line-height: 16px;
}
@media only screen and (max-width: 589px) {
    .cart_countdown.countdown_wrapper {
        padding-bottom: 5px;
    }
}
/* Fix parallax-like scroll effect on mobile for collection hero */
@media screen and (max-width: 749px) {
  .ai-collection-hero-image {
    transform: none !important;
    transition: none !important;
    will-change: auto !important;
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
  }

  collection-hero {
    -webkit-overflow-scrolling: auto !important;
    overflow: hidden !important;
  }
}

}
[class*="ai-collection-hero-image"] {
  transform: none !important;
  transition: none !important;
}
